classification
Title: test failure : test_re; recipe for target 'test' failed
Type: compile error Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_re is failing when local is set for `en_IN`
View: 29571
Assigned To: Nosy List: apoos-maximus, xtreak
Priority: normal Keywords:

Created on 2019-02-27 12:37 by apoos-maximus, last changed 2019-02-28 12:55 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg336747 - (view) Author: Apoorv Sachan (apoos-maximus) Date: 2019-02-27 12:37
## while building python3.7 from source code on debian9.8 stretch.
hardware : intel corei5 3337U
4 Gib -- physical ram//4 Gib -- swap space

following the instructions given in the README.rst file:
user@host $ ./configure --enable-optimizations
#---works fine : no issues

user@host $ make 
#---works fine : noissues

user@host $ make test
produces this 
FAIL: test_locale_flag (test.test_re.ReTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/apoos-maximus/packages/Python-3.7.2/Lib/test/test_re.py", line 1540, in test_locale_flag
    self.assertTrue(pat.match(bletter))
AssertionError: None is not true

----------------------------------------------------------------------

Ran 123 tests in 1.048s

FAILED (failures=1, skipped=2)
test test_re failed
1 test failed again:
    test_re

== Tests result: FAILURE then FAILURE ==

384 tests OK.

1 test failed:
    test_re

29 tests skipped:
    test_bz2 test_ctypes test_curses test_dbm_gnu test_dbm_ndbm
    test_devpoll test_gdb test_gzip test_idle test_kqueue test_lzma
    test_msilib test_ossaudiodev test_readline test_smtpnet
    test_sqlite test_ssl test_startfile test_tcl test_tix test_tk
    test_ttk_guionly test_ttk_textonly test_turtle test_winconsoleio
    test_winreg test_winsound test_zipfile64 test_zlib

1 re-run test:
    test_re

2 tests run no tests:
    test_dtrace test_future4

Total duration: 4 min 44 sec
Tests result: FAILURE then FAILURE
Makefile:1074: recipe for target 'test' failed
make: *** [test] Error 2


#on rerunning the same test 
user@host $  make test TESTOPTS="-v test_re"

FAIL: test_locale_flag (test.test_re.ReTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/apoos-maximus/packages/Python-3.7.2/Lib/test/test_re.py", line 1540, in test_locale_flag
    self.assertTrue(pat.match(bletter))
AssertionError: None is not true

----------------------------------------------------------------------

Ran 123 tests in 0.750s

FAILED (failures=1, skipped=2)
test test_re failed
1 test failed again:
    test_re

== Tests result: FAILURE then FAILURE ==

1 test failed:
    test_re

1 re-run test:
    test_re

Total duration: 1 sec 646 ms
Tests result: FAILURE then FAILURE
Makefile:1074: recipe for target 'test' failed
make: *** [test] Error 2




###### this is how the bug could be reproduced 
PS: do have a look at the traceback ::it makes no sense to me, it might to you !
msg336751 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-02-27 12:59
Search gives me issue29571 that looks similar to this report. This seems to be locale specific and information on your locale, OS etc would be helpful. Can you please add the output of below?

* python -m test.pythoninfo
* locale
* ./python -m test -v test_re

Thanks
msg336755 - (view) Author: Apoorv Sachan (apoos-maximus) Date: 2019-02-27 13:15
###the outputs for the commands:

user@host $ python -m test.pythoninfo
/usr/bin/python: No module named test.pythoninfo
------------------------------
user@host $ locale
LANG=en_IN
LANGUAGE=en_IN:en
LC_CTYPE="en_IN"
LC_NUMERIC="en_IN"
LC_TIME="en_IN"
LC_COLLATE="en_IN"
LC_MONETARY="en_IN"
LC_MESSAGES="en_IN"
LC_PAPER="en_IN"
LC_NAME="en_IN"
LC_ADDRESS="en_IN"
LC_TELEPHONE="en_IN"
LC_MEASUREMENT="en_IN"
LC_IDENTIFICATION="en_IN"
LC_ALL=
------------------------------------

user@host $ ./python -m test -v test_re
== CPython 3.7.2 (default, Feb 27 2019, 17:26:06) [GCC 6.3.0 20170516]
== Linux-4.9.0-8-amd64-x86_64-with-debian-9.8 little-endian
== cwd: /home/apoos-maximus/packages/Python-3.7.2/build/test_python_32039
== CPU count: 4
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 0.60 [1/1] test_re
test_re_benchmarks (test.test_re.ExternalTests)
re_tests benchmarks ... ok
test_re_tests (test.test_re.ExternalTests)
re_tests test suite ... ok
test_overlap_table (test.test_re.ImplementationTest) ... ok
test_bytes (test.test_re.PatternReprTests) ... ok
test_inline_flags (test.test_re.PatternReprTests) ... ok
test_locale (test.test_re.PatternReprTests) ... ok
test_long_pattern (test.test_re.PatternReprTests) ... ok
test_multiple_flags (test.test_re.PatternReprTests) ... ok
test_quotes (test.test_re.PatternReprTests) ... ok
test_single_flag (test.test_re.PatternReprTests) ... ok
test_unicode_flag (test.test_re.PatternReprTests) ... ok
test_unknown_flags (test.test_re.PatternReprTests) ... ok
test_without_flags (test.test_re.PatternReprTests) ... ok
test_anyall (test.test_re.ReTests) ... ok
test_ascii_and_unicode_flag (test.test_re.ReTests) ... ok
test_backref_group_name_in_exception (test.test_re.ReTests) ... ok
test_basic_re_sub (test.test_re.ReTests) ... ok
test_big_codesize (test.test_re.ReTests) ... ok
test_bigcharset (test.test_re.ReTests) ... ok
test_bug_113254 (test.test_re.ReTests) ... ok
test_bug_114660 (test.test_re.ReTests) ... ok
test_bug_117612 (test.test_re.ReTests) ... ok
test_bug_1661 (test.test_re.ReTests) ... ok
test_bug_16688 (test.test_re.ReTests) ... ok
test_bug_20998 (test.test_re.ReTests) ... ok
test_bug_2537 (test.test_re.ReTests) ... ok
test_bug_29444 (test.test_re.ReTests) ... ok
test_bug_3629 (test.test_re.ReTests) ... ok
test_bug_418626 (test.test_re.ReTests) ... ok
test_bug_448951 (test.test_re.ReTests) ... ok
test_bug_449000 (test.test_re.ReTests) ... ok
test_bug_449964 (test.test_re.ReTests) ... ok
test_bug_527371 (test.test_re.ReTests) ... ok
test_bug_581080 (test.test_re.ReTests) ... ok
test_bug_612074 (test.test_re.ReTests) ... ok
test_bug_6509 (test.test_re.ReTests) ... ok
test_bug_6561 (test.test_re.ReTests) ... ok
test_bug_725106 (test.test_re.ReTests) ... ok
test_bug_725149 (test.test_re.ReTests) ... ok
test_bug_764548 (test.test_re.ReTests) ... ok
test_bug_817234 (test.test_re.ReTests) ... ok
test_bug_926075 (test.test_re.ReTests) ... ok
test_bug_931848 (test.test_re.ReTests) ... ok
test_bytes_str_mixing (test.test_re.ReTests) ... ok
test_case_helpers (test.test_re.ReTests) ... ok
test_category (test.test_re.ReTests) ... ok
test_character_set_errors (test.test_re.ReTests) ... ok
test_compile (test.test_re.ReTests) ... ok
test_constants (test.test_re.ReTests) ... ok
test_copying (test.test_re.ReTests) ... ok
test_dealloc (test.test_re.ReTests) ... ok
test_debug_flag (test.test_re.ReTests) ... ok
test_dollar_matches_twice (test.test_re.ReTests)
$ matches the end of string, and just before the terminating ... ok
test_empty_array (test.test_re.ReTests) ... ok
test_enum (test.test_re.ReTests) ... ok
test_error (test.test_re.ReTests) ... ok
test_expand (test.test_re.ReTests) ... ok
test_finditer (test.test_re.ReTests) ... ok
test_flags (test.test_re.ReTests) ... ok
test_getattr (test.test_re.ReTests) ... ok
test_group (test.test_re.ReTests) ... ok
test_group_name_in_exception (test.test_re.ReTests) ... ok
test_groupdict (test.test_re.ReTests) ... ok
test_ignore_case (test.test_re.ReTests) ... ok
test_ignore_case_range (test.test_re.ReTests) ... ok
test_ignore_case_set (test.test_re.ReTests) ... ok
test_inline_flags (test.test_re.ReTests) ... ok
test_issue17998 (test.test_re.ReTests) ... ok
test_keep_buffer (test.test_re.ReTests) ... ok
test_keyword_parameters (test.test_re.ReTests) ... ok
test_large_search (test.test_re.ReTests) ... ok
test_large_subn (test.test_re.ReTests) ... ok
test_locale_caching (test.test_re.ReTests) ... skipped 'test needs en_US.iso88591 locale'
test_locale_compiled (test.test_re.ReTests) ... skipped 'test needs en_US.iso88591 locale'
test_locale_flag (test.test_re.ReTests) ... FAIL
test_lookahead (test.test_re.ReTests) ... ok
test_lookbehind (test.test_re.ReTests) ... ok
test_match_getitem (test.test_re.ReTests) ... ok
test_match_repr (test.test_re.ReTests) ... ok
test_misc_errors (test.test_re.ReTests) ... ok
test_multiple_repeat (test.test_re.ReTests) ... ok
test_not_literal (test.test_re.ReTests) ... ok
test_nothing_to_repeat (test.test_re.ReTests) ... ok
test_other_escapes (test.test_re.ReTests) ... ok
test_pattern_compare (test.test_re.ReTests) ... ok
test_pattern_compare_bytes (test.test_re.ReTests) ... ok
test_pickling (test.test_re.ReTests) ... ok
test_possible_set_operations (test.test_re.ReTests) ... ok
test_qualified_re_split (test.test_re.ReTests) ... ok
test_qualified_re_sub (test.test_re.ReTests) ... ok
test_re_escape (test.test_re.ReTests) ... ok
test_re_escape_bytes (test.test_re.ReTests) ... ok
test_re_escape_non_ascii (test.test_re.ReTests) ... ok
test_re_escape_non_ascii_bytes (test.test_re.ReTests) ... ok
test_re_findall (test.test_re.ReTests) ... ok
test_re_fullmatch (test.test_re.ReTests) ... ok
test_re_groupref (test.test_re.ReTests) ... ok
test_re_groupref_exists (test.test_re.ReTests) ... ok
test_re_groupref_overflow (test.test_re.ReTests) ... ok
test_re_match (test.test_re.ReTests) ... ok
test_re_split (test.test_re.ReTests) ... ok
test_re_subn (test.test_re.ReTests) ... ok
test_repeat_minmax (test.test_re.ReTests) ... ok
test_repeat_minmax_overflow (test.test_re.ReTests) ... ok
test_repeat_minmax_overflow_maxrepeat (test.test_re.ReTests) ... ok
test_scanner (test.test_re.ReTests) ... ok
test_scoped_flags (test.test_re.ReTests) ... ok
test_search_coverage (test.test_re.ReTests) ... ok
test_search_dot_unicode (test.test_re.ReTests) ... ok
test_search_star_plus (test.test_re.ReTests) ... ok
test_special_escapes (test.test_re.ReTests) ... ok
test_sre_byte_class_literals (test.test_re.ReTests) ... ok
test_sre_byte_literals (test.test_re.ReTests) ... ok
test_sre_character_class_literals (test.test_re.ReTests) ... ok
test_sre_character_literals (test.test_re.ReTests) ... ok
test_stack_overflow (test.test_re.ReTests) ... ok
test_string_boundaries (test.test_re.ReTests) ... ok
test_sub_template_numeric_escape (test.test_re.ReTests) ... ok
test_symbolic_groups (test.test_re.ReTests) ... ok
test_symbolic_refs (test.test_re.ReTests) ... ok
test_unlimited_zero_width_repeat (test.test_re.ReTests) ... ok
test_weakref (test.test_re.ReTests) ... ok
test_zerowidth (test.test_re.ReTests) ... ok

======================================================================
FAIL: test_locale_flag (test.test_re.ReTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/apoos-maximus/packages/Python-3.7.2/Lib/test/test_re.py", line 1540, in test_locale_flag
    self.assertTrue(pat.match(bletter))
AssertionError: None is not true

----------------------------------------------------------------------

Ran 123 tests in 0.746s

FAILED (failures=1, skipped=2)
test test_re failed
test_re failed

== Tests result: FAILURE ==

1 test failed:
    test_re

Total duration: 782 ms
Tests result: FAILURE
msg336758 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-02-27 13:38
Thanks for the details. This seems to be the same as issue29571 where the issue was reported on Ubuntu for en_IN but not happening in Gentoo.
History
Date User Action Args
2019-02-28 12:55:55serhiy.storchakasetstatus: open -> closed
superseder: test_re is failing when local is set for `en_IN`
resolution: duplicate
stage: resolved
2019-02-27 13:38:33xtreaksetmessages: + msg336758
2019-02-27 13:15:26apoos-maximussetmessages: + msg336755
2019-02-27 12:59:31xtreaksetnosy: + xtreak
messages: + msg336751
2019-02-27 12:37:54apoos-maximuscreate